Bug 1030706 - [abrt] mate-screensaver-1.6.1-3.fc19: op_load_image: Process /usr/libexec/mate-screensaver/slideshow was killed by signal 11 (SIGSEGV)
[abrt] mate-screensaver-1.6.1-3.fc19: op_load_image: Process /usr/libexec/mat...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: mate-screensaver (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:0e7fdeb12a65a0cb345028eba6b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-14 20:36 EST by Tym Rehm
Modified: 2013-12-01 04:47 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-01 04:47:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (19.60 KB, text/plain)
2013-11-14 20:36 EST, Tym Rehm
no flags Details
File: cgroup (145 bytes, text/plain)
2013-11-14 20:36 EST, Tym Rehm
no flags Details
File: core_backtrace (3.51 KB, text/plain)
2013-11-14 20:36 EST, Tym Rehm
no flags Details
File: dso_list (5.36 KB, text/plain)
2013-11-14 20:36 EST, Tym Rehm
no flags Details
File: environ (460 bytes, text/plain)
2013-11-14 20:36 EST, Tym Rehm
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-14 20:36 EST, Tym Rehm
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-14 20:36 EST, Tym Rehm
no flags Details
File: maps (15.71 KB, text/plain)
2013-11-14 20:36 EST, Tym Rehm
no flags Details
File: open_fds (215 bytes, text/plain)
2013-11-14 20:36 EST, Tym Rehm
no flags Details
File: proc_pid_status (889 bytes, text/plain)
2013-11-14 20:36 EST, Tym Rehm
no flags Details
File: var_log_messages (316 bytes, text/plain)
2013-11-14 20:36 EST, Tym Rehm
no flags Details

  None (edit)
Description Tym Rehm 2013-11-14 20:36:11 EST
Description of problem:
I was setting the screensaver to picture folder option and clicked closes.

Version-Release number of selected component:
mate-screensaver-1.6.1-3.fc19

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/libexec/mate-screensaver/slideshow
crash_function: op_load_image
executable:     /usr/libexec/mate-screensaver/slideshow
kernel:         3.11.7-200.fc19.i686.PAE
runlevel:       N 5
type:           CCpp
uid:            16777216

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 op_load_image at gste-slideshow.c:691
 #1 load_threadfunc at gste-slideshow.c:724
 #2 g_thread_proxy at gthread.c:798
 #3 g_deprecated_thread_proxy at deprecated/gthread-deprecated.c:310
Comment 1 Tym Rehm 2013-11-14 20:36:19 EST
Created attachment 824219 [details]
File: backtrace
Comment 2 Tym Rehm 2013-11-14 20:36:23 EST
Created attachment 824220 [details]
File: cgroup
Comment 3 Tym Rehm 2013-11-14 20:36:26 EST
Created attachment 824221 [details]
File: core_backtrace
Comment 4 Tym Rehm 2013-11-14 20:36:30 EST
Created attachment 824222 [details]
File: dso_list
Comment 5 Tym Rehm 2013-11-14 20:36:35 EST
Created attachment 824223 [details]
File: environ
Comment 6 Tym Rehm 2013-11-14 20:36:38 EST
Created attachment 824224 [details]
File: exploitable
Comment 7 Tym Rehm 2013-11-14 20:36:41 EST
Created attachment 824225 [details]
File: limits
Comment 8 Tym Rehm 2013-11-14 20:36:44 EST
Created attachment 824226 [details]
File: maps
Comment 9 Tym Rehm 2013-11-14 20:36:47 EST
Created attachment 824227 [details]
File: open_fds
Comment 10 Tym Rehm 2013-11-14 20:36:51 EST
Created attachment 824228 [details]
File: proc_pid_status
Comment 11 Tym Rehm 2013-11-14 20:36:55 EST
Created attachment 824229 [details]
File: var_log_messages
Comment 12 Wolfgang Ulbrich 2013-11-20 12:36:16 EST
I can't reproduce the issue here in my f19 installation.
Does the crask ocours everytime if you use the picture folder for screensaver slideshow?
Can you check if all pictures/directories are acxessable in the picture folder?

Likely crash reason: Jump to an invalid address
Exploitable rating (0-9 scale): 6

Note You need to log in before you can comment on or make changes to this bug.